# MPIR_Type_struct

create a struct datatype

## Synopsis

    #undef FUNCNAME
    #define FUNCNAME MPIR_Type_struct
    #undef FCNAME
    #define FCNAME MPL_QUOTE(FUNCNAME)
    int MPIR_Type_struct(int count,
                         const int *blocklength_array,
                         const MPI_Aint * displacement_array,
                         const MPI_Datatype * oldtype_array, MPI_Datatype * newtype)

## Input Parameters

count
  number of blocks in vector
blocklength_array
  number of elements in each block
displacement_array
  offsets of blocks from start of type in bytes
oldtype_array
  types (using handle) of datatypes on which vector is based

## Output Parameters

newtype
  handle of new struct datatype

## Return Value

MPI_SUCCESS on success, MPI errno on failure.